brandn00bian
Posts: 3
Joined: Mon Jan 14, 2013 7:11 pm

Neu hier, auch bei Linux, brauche Hilfe

Mon Jan 14, 2013 7:35 pm

Hallo zusammen,
wie der Titel sagt bin ich hier neu und linux kenn ich (bis auf 2, maximal 3 Tage Ubuntu) auch nicht wirklich.Daher habe ich so einige Fragen, ich hoffe diese n00b-Fragen sind gestattet.
Ich hab also nach Einfuehrungen in Linux gesucht und auch (minimum) ein pdf fuer mich gefunden. Ich oeffne dieses mit mupdf, und nach einigem lesen und vorblaettern schmiert das Programm ab (oftmals an der selben Stelle/Seite). Also habe ich nach einem alternativen pdf-viewer geschaut, und auch mit xpdf gefunden. mit

Code: Select all

sudo apt-get install xpdf
versucht zu installieren, aber da bekomm ich massenweise Fehlermeldungen, vorzueglich mit "404 Not Found".

Frage 1:Ist da ein Server down, oder liegt das irgendwo an mir? (Wie gesagt, absoluter Linux-Neuling hier, aber so wie ich das verstanden hatte, sind die ganyen Programme schon vorhanden, mussen nur ueber apt-get "aktiviert" werden oder ist es da schon ein Verstaendnisproblem meinerseits?)

Frage 2:Gibt es Alternativen zu mupdf bzw xpdf?

und als Bonusfrage: Gibt es plain text browser fuer den raspi?

Ich hoffe, ich verschrecke niemanden mit solchen Basics

ghans
Posts: 7868
Joined: Mon Dec 12, 2011 8:30 pm
Location: Germany

Re: Neu hier, auch bei Linux, brauche Hilfe

Mon Jan 14, 2013 8:35 pm

Code: Select all

sudo apt-get update
apt-cache search pdf
Das update sollte helfen , da werden nur die Paketlisten aktualisiert.

Wenn du willst , kannst du ja Synaptic installieren (sudo apt-get install
synaptic) und in einer
graphischen Oberfläche die Pakete durchforsten ... aptitude in
der Kommandozeile.

Text-only browser ? Für die Kommandozeile ?
Lynx , ELinks , Links2 , w3m.
Manche haben auch einen graphischen Modus.


ghand
• Don't like the board ? Missing features ? Change to the prosilver theme ! You can find it in your settings.
• Don't like to search the forum BEFORE posting 'cos it's useless ? Try googling : yoursearchtermshere site:raspberrypi.org

PS1981
Posts: 445
Joined: Wed Dec 12, 2012 4:11 pm

Re: Neu hier, auch bei Linux, brauche Hilfe

Mon Jan 14, 2013 8:40 pm

Code: Select all

sudo apt-get upgrade

Code: Select all

sudo apt-get update
Bist du auch sicher, dass deine Internetverbindung geht?

Gruß.

User avatar
janlorenz
Posts: 62
Joined: Sun Oct 07, 2012 7:13 pm
Location: /dev/earth

Re: Neu hier, auch bei Linux, brauche Hilfe

Mon Jan 14, 2013 8:41 pm

zu Frage 1:

führ vorher mal ein

Code: Select all

sudo apt-get install update
durch, dann werden die Inhalte der Quellen aktualisiert. Danach sollte xpdf mit dem von dir angeführten Befehl installiert werden können.
Bei bedarf für vorher noch ein

Code: Select all

sudo apt-get dist-upgrade
durch. Dann sollte dein System auf aktuellstem Stand sein.

zu Frage 2:

Alternativen gibts sicher (Dr. Google weiß bescheid), allerdings fällt mir grad keine ein.
Ausserdem 'xpdf' ist cool ;) .

zur Bonus-Frage:

Code: Select all

sudo apt-get install lynx
dann klappts auch mit nem plain-text-browser ;)
das hat allerdings weniger mit dem raspi zu tun. lynx ist einer der ersten browser für linux/unix,
den gibts/gabs bei vielen anderen Distributionen auch.
Wer sagt: "Hier herrscht Freiheit!", der lügt, denn Freiheit herrscht nicht. (Erich Fried)

Mein Mottos:
...never run a touching system, oder so...
Give Pi a chance

brandn00bian
Posts: 3
Joined: Mon Jan 14, 2013 7:11 pm

Re: Neu hier, auch bei Linux, brauche Hilfe

Mon Jan 14, 2013 9:31 pm

1 :@ghans: hat leider nichts geholfen (auch wenn ich jetzt evtl ne ahnung habe woran es liegen koennte, siehe folgende Antwort an PS1981). Deinen Befehl habe ich ausprobiert, half aber leider nicht weiter. Mit Plain-Text-Browser dachte ich an einen Internet Browser, der nur Text anzeigt (die ganzen Bildchen braucht eh keiner). Das Terminal an sich ist doch quasi plain text oder? (Wie gesagt, Linux noob hier)

@PS1981: Die leitung hab ich auf Arbeit selber hergestellt, koennte sein, dass die nicht ganz funktionsfaehig ist. Werde ich morgen mal testen.

@janlorenz: der erste befehlt vorm installieren hat nix gebracht, die distr-upgrade laeuft seit einiger zeit, mal schauen mit welchem Ergebnis. Lynx wird dann im Anschluss getesten


Danke auf jeden fall schon mal fuer die Antworten, das gibt mir schon mal Richtungen in die ich forschen koennte.

thsBavR10
Posts: 233
Joined: Sat Jul 21, 2012 3:11 pm

Re: Neu hier, auch bei Linux, brauche Hilfe

Mon Jan 14, 2013 9:44 pm

Hallo & willkommen.
Als Text-only-Browser habe ich

Code: Select all

links2
, als pdf-Viewer ebenfalls mupdf.
An Stelle von

Code: Select all

sudo apt-get install update
bitte

Code: Select all

sudo apt-get update
nehmen.
Viel Erfolg!

User avatar
janlorenz
Posts: 62
Joined: Sun Oct 07, 2012 7:13 pm
Location: /dev/earth

Re: Neu hier, auch bei Linux, brauche Hilfe

Mon Jan 14, 2013 9:47 pm

Ups,

der erste Befehl ist natürlich schwachsinn, sollte heißen:

Code: Select all

sudo apt-get update
sorry für die fehlinfo... :oops:
Wer sagt: "Hier herrscht Freiheit!", der lügt, denn Freiheit herrscht nicht. (Erich Fried)

Mein Mottos:
...never run a touching system, oder so...
Give Pi a chance

WeUsePis
Posts: 96
Joined: Mon Dec 31, 2012 4:02 pm
Location: Upstate New York
Contact: Website

Re: Neu hier, auch bei Linux, brauche Hilfe

Tue Jan 15, 2013 12:58 pm

Ab und zu bekomme ich auch die 404 Meldungen. Da werden auf dem angesprochenen Spiegelserver die Dateien nicht gefunden. Meistens erledigt sich das Problem, wenn ich es später nochmal versuche und dann mehr Glück habe.
Our Pi Blog - http://weusepis.wordpress.com/

Return to “Deutsch”